UbixOS V2 2.0

Functions
kpanic.c File Reference
`#include <sys/_null.h>`
`#include <ubixos/kpanic.h>`
`#include <lib/kprintf.h>`
`#include <isa/8259.h>`
`#include <stdarg.h>`
`#include <ubixos/tty.h>`
Include dependency graph for kpanic.c:

Go to the source code of this file.

## Functions
void | kpanic (const char *fmt,...)
| print panic message and halt system More...

## Function Documentation

## ◆ kpanic()

void kpanic | ( | const char * | fmt,
|  |  | ...
| ) |  |

print panic message and halt system

Parameters

  fmt | panic message

Definition at line 42 of file kpanic.c.

References irqDisable(), kprintf(), NULL, tty_foreground, va_end, va_start, and vsprintf().

Here is the call graph for this function: